from flask import Flask, jsonify
import redis

app = Flask(__name__)

# Connect to Redis (running in a separate container)
redis_client = redis.StrictRedis(host='redis', port=6379, decode_responses=True)

@app.route('/counter', methods=['GET'])
def counter():
    # Increment visitor count in Redis
    visits = redis_client.incr('visits')
    return jsonify({"visits": visits})

if __name__ == '__main__':
    app.run(host='0.0.0.0', port=5000)
